== Why is this an issue?

The cyclomatic complexity of functions and procedures should not exceed a defined threshold.


Complex code can perform poorly and will in any case be difficult to understand and therefore to maintain.

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

=== Parameters

.complexity
****

----
30
----

The maximum function and procedure complexity allowed.
****


'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
